Bug 27103 - Adding a hold cancellation reason should not always send a notice
Summary: Adding a hold cancellation reason should not always send a notice
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Martin Renvoize
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 25534 12656
Blocks: 26282
  Show dependency treegraph
 
Reported: 2020-11-27 10:21 UTC by Martin Renvoize
Modified: 2021-01-05 08:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 27103: Remove HOLD_CANCELLATION notice (20.04 KB, patch)
2020-11-27 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27103: Remove HOLD_CANCELLATION notice (20.11 KB, patch)
2020-11-27 11:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27103: Remove from fr-FR (3.14 KB, patch)
2020-11-27 12:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-11-27 10:21:49 UTC
Bug 25534 adds the option to record the reason a hold was cancelled.  It also always triggers the HOLD_CANCELLATION notice to be sent if a reason is defined.

Say the patron called and will not be able to pick up numerous holds for some time. You cancel them all with "patron requested cancellation" but don't want to send multiple notices.
Comment 1 Martin Renvoize 2020-11-27 10:24:10 UTC
Given the time of the cycle, we decided to do a quick fix for bug 26282 to avoid string changes and do the work properly for the 20.11.01 release.

This bug will simply remove the sample notice to disable the notices part of the cancellation reason enhancement.
Comment 2 Martin Renvoize 2020-11-27 10:25:00 UTC
Created attachment 114036 [details] [review]
Bug 27103: Remove HOLD_CANCELLATION notice

We are really close to release, and the 'proper' fix to make the sending
of hold cancellation notices optional will introduce string changes.

This patch takes the alternative approach of removing the default notice
template there by disabling the feature for 20.11.00 release and giving
us time to properly impliment a solution and re-instate the default
notice template for the 20.11.01 release.
Comment 3 Martin Renvoize 2020-11-27 10:26:31 UTC
Test plan
1/ Run through a fresh install
2/ Note that there is no 'HOLD_CANCELLATION' notice added
3/ Place a hold
4/ Cancel the hold (giving a reason)
5/ Note that no notice is queud for the patron
6/ Bonus points: Note that a warning appears for the missing notice template in the system logs.
Comment 4 Martin Renvoize 2020-11-27 10:42:11 UTC
Descriptions and release note texts for bug 12656 and bug 25534 have been updated to reflect the change here.
Comment 5 Martin Renvoize 2020-11-27 10:43:19 UTC
Setting to Signed off to get immediate attention of the QA team (this is a blocker for today's release and is an alternative to the full treatment in bug 26282)
Comment 6 Tomás Cohen Arazi 2020-11-27 11:08:27 UTC
Created attachment 114038 [details] [review]
Bug 27103: Remove HOLD_CANCELLATION notice

We are really close to release, and the 'proper' fix to make the sending
of hold cancellation notices optional will introduce string changes.

This patch takes the alternative approach of removing the default notice
template there by disabling the feature for 20.11.00 release and giving
us time to properly impliment a solution and re-instate the default
notice template for the 20.11.01 release.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Jonathan Druart 2020-11-27 12:00:04 UTC
Created attachment 114039 [details] [review]
Bug 27103: Remove from fr-FR
Comment 8 Jonathan Druart 2020-11-27 12:03:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Andrew Fuerste-Henry 2020-12-14 15:42:08 UTC
Missing dependencies, not backported to 20.05